%define old_name x11-data-xkbdata

%define git_url git://anongit.freedesktop.org/xkeyboard-config
%define _default_patch_fuzz 2

Name: xkeyboard-config
Version: 2.15
Release: %mkrel 1
Summary: XKB data files
URL:   http://www.freedesktop.org/wiki/Software/XKeyboardConfig
Group: Development/X11
Source: http://www.x.org/releases/individual/data/%{name}/%{name}-%{version}.tar.xz
BuildRequires: xsltproc
Patch0: xkeyboard-config-2.10.1-fixkbd.patch
Patch1: xkeyboard-config-2.10.1-fi-kotoistus_classic_nbsp.patch
Patch2: xkbdata-1.0.1-newkbd.patch
Patch4: xkb-fix_uz.patch
Patch6: xkeyboard-config-1.4-battery.patch
Patch9: xkeyboard-config-2.8-Enable-zapping-by-default.patch
Patch10: xkeyboard-config-2.11-br-support.diff
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-proto-devel
BuildRequires: libx11-devel
BuildRequires: xkbcomp >= 1.0.1
BuildRequires: perl-XML-Parser
BuildRequires: intltool
BuildRequires: glib-gettextize
BuildRequires: gettext-devel

%description
Xkeyboard-config provides consistent, well-structured, frequently released of X
keyboard configuration data (XKB) for various X Window System implementations.

%package -n %{old_name}
Summary: %{summary}
Group: %{group}
Provides: xkeyboard-config

%description -n %{old_name}
Xkeyboard-config provides consistent, well-structured, frequently released of X
keyboard configuration data (XKB) for various X Window System implementations.

%prep
%setup -q 

# Keyboard fixes patches -- pablo
%patch0 -p1 -b .fixkbd

%patch1 -p1
%patch4 -p1 -b .uz_fix
%patch6 -p1 -b .battery
%patch9 -p1 -b .enable-zapping
%patch10 -p1 -b .br

# fix build
aclocal
autoconf

%build
./configure --prefix=/usr --enable-compat-rules \
    		--with-xkb-base=%{_datadir}/X11/xkb \
    		--with-xkb-rules-symlink=xorg

%make

%install
rm -rf %buildroot
%makeinstall_std

mkdir -p %{buildroot}%{_localstatedir}/lib/xkb
ln -snf %{_localstatedir}/lib/xkb $RPM_BUILD_ROOT/usr/share/X11/xkb/compiled

%find_lang %{name}

%clean
rm -rf %{buildroot}

%pre -n %{old_name}
# this was a directory in the old installation
if [ -d "%{_datadir}/X11/xkb/compiled" ]; then
	rm -rf %{_datadir}/X11/xkb/compiled
fi

%files -f %{name}.lang -n %{old_name}
%defattr(-,root,root)
%dir %{_datadir}/X11/xkb/
%attr(1777,root,root) %dir %{_localstatedir}/lib/xkb
%{_datadir}/X11/xkb/*
%{_datadir}/pkgconfig/xkeyboard-config.pc
%{_mandir}/man7/%{name}.7.*


%changelog
* Mon Jun 22 2015 bb <bb> 2.15-1pclos2015
- update

* Tue Dec 30 2014 bb <bb> 2.13-1pclos2014
- update
